﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %> 
<%@ Register Tagprefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MapEditorPartUserControl.ascx.cs" Inherits="Mazin.SPGoogleMapPart.MapEditorPartUserControl" %>
<script type="text/javascript">
    function ValidateInt(control) {
        var tmp = parseInt(control.value);
        return !isNaN(tmp);
    }

    function ValidateDouble(control) {
        var tmp = parseFloat(control.value);
        return !isNaN(tmp);
    }

    function DataModeChanged(control) {
        //Webpart Connection
        if (control.value == "0" || control.value == "3") {
            document.getElementById("list").style.display = 'none';
            document.getElementById("itemId").style.display = 'none';
            document.getElementById("query").style.display = 'none';
            return;
        }
        //List & Query
        if (control.value == "1") {
            document.getElementById("list").style.display = '';
            document.getElementById("query").style.display = '';
            document.getElementById("itemId").style.display = 'none';
            return;
        }
        //List & Item ID
        if (control.value == "2") {
            document.getElementById("list").style.display = '';
            document.getElementById("itemId").style.display = '';
            document.getElementById("query").style.display = 'none';
            return;
        }
    }

    function portal_openModalDialog() {
        result = window.showModalDialog("/_layouts/pickertreeview.aspx");
        document.getElementById('<% = this.webUrl.ClientID %>').value = result[1];
        document.getElementById('<% = this.listUrl.ClientID %>').value = result[3];
    } 
</script>
<table style="width: 100%; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-collapse: collapse;" border="0" cellSpacing="0">
    <tr><td>
        <div class="UserSectionHead">
        <label>Map type</label>
        </div><div class="UserSectionBody">
         <asp:DropDownList ID="mapType" runat="server">
            <asp:ListItem Text="Major streets on satellite images" Value="HYBRID"></asp:ListItem>
            <asp:ListItem Text="Normal street map" Value="ROADMAP"></asp:ListItem>
            <asp:ListItem Text="Satellite images" Value="SATELLITE"></asp:ListItem>
            <asp:ListItem Text="Maps with physical features such as terrain and vegetation" Value="TERRAIN"></asp:ListItem>
        </asp:DropDownList></div>
        <div class="UserDottedLine" style="width: 100%;"/>
    </td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Centre langitude</label>
        </div><div class="UserSectionBody">
 <asp:TextBox ID="centreLatitude" onchange="ValidateDouble(this);" runat="server"></asp:TextBox></div>
<div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Centre longitude</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="centreLongitude" onchange="ValidateDouble(this);" runat="server"></asp:TextBox></div>
<div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Map height</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="mapHeight" onchange="ValidateInt(this);" runat="server"></asp:TextBox></div>
<div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Map width</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="mapWidth" onchange="ValidateInt(this);" runat="server"></asp:TextBox></div>
<div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Initial zoom</label>
        </div><div class="UserSectionBody"><asp:DropDownList ID="zoom" runat="server">
    <asp:ListItem Text="17 - Street Level" Value="17"></asp:ListItem>
    <asp:ListItem Text="16" Value="16"></asp:ListItem>
    <asp:ListItem Text="15" Value="15"></asp:ListItem>
    <asp:ListItem Text="14 - Town Level" Value="14"></asp:ListItem>
    <asp:ListItem Text="13" Value="13"></asp:ListItem>
    <asp:ListItem Text="12" Value="12"></asp:ListItem>
    <asp:ListItem Text="11 - City Level" Value="11"></asp:ListItem>
    <asp:ListItem Text="10" Value="10"></asp:ListItem>
    <asp:ListItem Text="9" Value="9"></asp:ListItem>
    <asp:ListItem Text="8 - Region Level" Value="8"></asp:ListItem>
    <asp:ListItem Text="7" Value="7"></asp:ListItem>
    <asp:ListItem Text="6" Value="6"></asp:ListItem>
    <asp:ListItem Text="5 - Country Level" Value="5"></asp:ListItem>
    <asp:ListItem Text="4" Value="4"></asp:ListItem>
    <asp:ListItem Text="3" Value="3"></asp:ListItem>
    <asp:ListItem Text="2" Value="2"></asp:ListItem>
    <asp:ListItem Text="1 - World Level" Value="1"></asp:ListItem>
</asp:DropDownList></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Data mode</label>
        </div><div class="UserSectionBody"><asp:DropDownList ID="dataMode" onchange="DataModeChanged(this)" runat="server">
    <asp:ListItem Text="Webpart Connection" Value="0"></asp:ListItem>
    <asp:ListItem Text="List & Query" Value="1"></asp:ListItem>
    <asp:ListItem Text="List & Item ID" Value="2"></asp:ListItem>
    <asp:ListItem Text="Full URL params" Value="3"></asp:ListItem>
</asp:DropDownList></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
<tr id="list"><td><div class="UserSectionHead">
        <label>Web URL</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="webUrl" runat="server"></asp:TextBox></div><br/>
        <div class="UserSectionHead">
        <label>List URL</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="listUrl" runat="server"></asp:TextBox>&nbsp;<input type="button" value="Browse..." onclick="portal_openModalDialog()" /></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
<tr id="query"><td><div class="UserSectionHead">
        <label>CAML query</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="camlQuery" runat="server"></asp:TextBox></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
<tr id="itemId"><td><div class="UserSectionHead">
        <label>Item ID URL param name</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="urlIdParamName" runat="server"></asp:TextBox></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Title column name</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="titleColumnName" runat="server"></asp:TextBox></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Description column name</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="descrColumName" runat="server"></asp:TextBox></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Address column name</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="addressColumnName" runat="server"></asp:TextBox></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Latitude column name</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="latColumnName" runat="server"></asp:TextBox></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
    <tr><td><div class="UserSectionHead">
        <label>Longitude column name</label>
        </div><div class="UserSectionBody"><asp:TextBox ID="lngColumnName" runat="server"></asp:TextBox></div><div class="UserDottedLine" style="width: 100%;"/></td></tr>
</table>

